/****************************************************************************************************

		SimpleModeler.r
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	2004/11/04

****************************************************************************************************/
 
   
#include "External3DAPI.r"
#include "Copyright.h"
#include "interfaceIds.h"
#include "MCFInterfaceIDs.h"

#include "SimpleModelerDef.h"
#include "PropertiesRTypes.r"


#ifndef qUsingResourceLinker
include "SimpleModeler.rsr";
#endif



// ExternalModeler ressources -----------------------------------

resource 'COMP' (kModelerResourceID, "Simple Modeler")
{
	kRID_ModuleFamilyID,
	kModelerClassID,
	"Simple Modeler", 
	"Assemble",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kModelerResourceID, "Simple Modeler")
{
	{
		R_IID_I3DExModule,
		R_CLSID_SimpleModeler,
	}
};

resource 'modu' (kModelerResourceID, "Simple Modeler")
{
	0,						// Host window ID (here, main Perspective Window)
	125,					// Menu bar ID (MBAR)
	kMainTbarResourceID,	// Tool bar ID (TBAR)
	kModelerPrefs,			// Preferences PMAP resource ID
	0,						// Preferences View ID
	kModelerPrefs,			// Default Preferences values resource ID (prfs)
	'PeRs',					// Workspace class signature
	kModelerResourceID,		// Minimized iconID
	-1,						// Window context menu ID (CMNU)
	'slav',					// Slave module
};

resource 'mdlr'	(kModelerResourceID, "Simple Modeler")
{
	cannotEditPatches,
	canEditFacets,
	{
		'fmes', isNative
	}
};


resource 'PMap' (kModelerPrefs)
{
	{
		'SptS', 'in32', noFlags, "Splitbar prefered size", "",
	}
};

resource 'prfs' (kModelerPrefs) 
{
	"{ SptS 300}"
};


resource 'Prop' (kEmptyProperties) 
{
	SinglePage
	{
		kEmptyProperties,
	}
};




/////////////////////////////////////////
//
// Pane Part Component Definition
//

resource 'COMP' (kPanePartResourceID, "Simple Modeler Pane Part") 
{
	'part',
	kPanePartClassID,
	"Simple Modeler Pane Part",
	"",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kPanePartResourceID, "Simple Modeler Pane Part") 
{
	{
	R_IID_IMFExPart,
	R_CLSID_PanePart
	}
};


/////////////////////////////////////////////////////////////

resource 'TBAR' (kMainTbarResourceID, "MainToolBar", purgeable)
{
	"ToolBar", straightLayout,
	{
		kMoveMeshTool,		"Move Mesh",	"m", noAction, normalEnabling, style_normal { useShadow, kMoveMeshTool, 0, procedural, procedural, procedural, procedural };
	}
};


resource 'STR#' (kModelerActionsNames, "Modeler Actions Names")
{
	{
		"Move Mesh",		// string  1
	}
};

 